import { ApiProperty } from "@nestjs/swagger";
import { IsNotEmpty, IsString } from "class-validator";

export class ChangePassDTO {
  @ApiProperty({
    description: "Current user password",
    type: String,
    required: true,
    example: "test",
  })
  @IsString()
  @IsNotEmpty()
  oldPassword: string;

  @ApiProperty({
    description: "New password",
    type: String,
    required: true,
    example: "test1",
  })
  @IsString()
  @IsNotEmpty()
  password: string;

  @ApiProperty({
    description: "New password",
    type: String,
    required: true,
    example: "test1",
  })
  @IsString()
  @IsNotEmpty()
  confirmPassword: string;
}
