import { ApiProperty } from "@nestjs/swagger";
import { IsNotEmpty, IsString } from "class-validator";

export class SignInDTO {
  @ApiProperty({
    type: String,
    example: "test",
    description: "username",
  })
  @IsString()
  @IsNotEmpty()
  username: string;

  @ApiProperty({
    type: String,
    example: "test",
    description: "password",
  })
  @IsString()
  @IsNotEmpty()
  password: string;
}
