import {
  IsEmail,
  IsNotEmpty,
  IsOptional,
  IsPhoneNumber,
  IsString,
  IsUUID,
} from "class-validator";

export class UserDTO {
  @IsUUID()
  @IsOptional()
  public id?: string;

  @IsString()
  @IsNotEmpty()
  public firstName: string;

  @IsString()
  @IsNotEmpty()
  public lastName: string;

  @IsString()
  @IsNotEmpty()
  public username: string;

  @IsString()
  @IsNotEmpty()
  @IsEmail()
  public email: string;

  @IsString()
  @IsOptional()
  @IsPhoneNumber()
  public phoneNumber?: string;

  @IsString()
  @IsOptional()
  public role?: string;
}
